﻿using System;
using System.Collections.Generic;
using System.Text;
using Sys = Cosmos.System;
using System;
using System.Collections.Generic;
using System.Text;
using Cosmos.HAL.Drivers.PCI.Video;
using Cosmos.System.Graphics;
using System.Runtime.InteropServices;
using System.Diagnostics;
using Cosmos.System;
using System.Drawing;
using Cosmos.Core.IOGroup;
using Console = System.Console;
using DremDOS.Core.Terminal;
using DremDOS.Core.Graphics;
using DremDOS.Core.Drivers;
using DremDOS.Core.Sound;

namespace DremDOS.Core.Graphics
{
    class BUI
{
        private static readonly Color[][] ArrowRight = new Color[14][]
        {
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red },
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red },
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red },
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Magenta, Color.Red, Color.Red, Color.Red, Color.Red },
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Magenta, Color.Magenta, Color.Red, Color.Red, Color.Red },
            new Color[14] { Color.Red, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Red, Color.Red },
            new Color[14] { Color.Red, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Red },
            new Color[14] { Color.Red, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Red },
            new Color[14] { Color.Red, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Red, Color.Red },
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Magenta, Color.Magenta, Color.Red, Color.Red, Color.Red },
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Magenta, Color.Red, Color.Red, Color.Red, Color.Red },
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red },
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red },
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red }
        };
        private static readonly Color[][] ArrowLeft = new Color[14][]
        {
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red },
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red },
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red },
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Red, Color.Magenta, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red },
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Magenta, Color.Magenta, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red },
            new Color[14] { Color.Red, Color.Red, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Red },
            new Color[14] { Color.Red, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Red },
            new Color[14] { Color.Red, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Red },
            new Color[14] { Color.Red, Color.Red, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Red },
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Magenta, Color.Magenta, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red },
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Red, Color.Magenta, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red },
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red},
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red},
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red }
        };
        private static readonly Color[][] CloseButton = new Color[14][]
        {
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue }
        };
        private static readonly Color[][] NewButton = new Color[14][]
        {
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Magenta, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Magenta, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Magenta, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
        };

        public static void DrawBUI(Canvas canvas)
        {
            for (ushort x = 0; x < 43; x++) for (ushort y = 0; y < 14; y++) canvas.DrawPoint(new Pen(NewButton[y][x]), new Sys.Graphics.Point((ushort)((Kernel._SCREEN_WIDTH - 268) + x), (ushort)(20 + y)));
            for (ushort x = 0; x < 43; x++) for (ushort y = 0; y < 14; y++) canvas.DrawPoint(new Pen(CloseButton[y][x]), new Sys.Graphics.Point((ushort)((Kernel._SCREEN_WIDTH - 268) + x), (ushort)(20 + y)));
            for (ushort x = 0; x < 14; x++) for (ushort y = 0; y < 14; y++) canvas.DrawPoint(new Pen(ArrowLeft[y][x]), new Sys.Graphics.Point((ushort)((Kernel._SCREEN_WIDTH - 268) + x), (ushort)(20 + y)));
            //canvas.DrawACSIIString(new Pen(Color.Red), Kernel.CurrentConsole + " of " + Kernel.TotalConsoles, Kernel._SCREEN_WIDTH - 122, 20);
            canvas.DrawString(Kernel.CurrentConsole + " of " + Kernel.TotalConsoles, Kernel.Font, new Pen(Color.Red), Kernel._SCREEN_WIDTH - 122, 20);
            for (ushort x = 0; x < 14; x++) for (ushort y = 0; y < 14; y++) canvas.DrawPoint(new Pen(ArrowRight[y][x]), new Sys.Graphics.Point((ushort)((Kernel._SCREEN_WIDTH - 268) + x), (ushort)(20 + y)));
        }
    }
}
